Subject: bug#46061: 28.0.50; error "‘'postgres’ is not a known product

From: Jean Louis <[email-masked]>
Date: Thu, 13 May 2021 18:28:46 +0300

* Lars Ingebrigtsen <[email-masked]> [2021-05-13 15:03]:
> Jean Louis <[email-masked]> writes:
> 
> > - M-x sql-postgres and enter
> >
> > - then at the exact moment when I click SQL menu, I get this error:
> >
> > Debugger entered--Lisp error: (error "‘'postgres’ is not a known
> > product; use ‘sql-add-product’ to add it first.")
> >   signal(error ("‘'postgres’ is not a known product; use
> > ‘sql-add-product’ to add it first."))
> >   error("`%s' is not a known product; use `sql-add-product' to add it
> > first." 'postgres)
> 
> [...]
> 
> > (("local" (sql-product 'postgres) (sql-user "username") (sql-password
> > "password") (sql-database "rcdbusiness"))))
> >   sql-connection-menu-filter(("--" ["New SQLi Session"
> > sql-product-interactive (sql-get-product-feature sql-product
> > :sqli-comint-func)]))
> 
> I think this has to mean that your sql-product is set to 'postgres
> instead of postgres.
> 
> That is, somewhere you have
> 
> (setq sql-product ''postgres)
> 
> with an extra ' character.  Or perhaps in a defcustom setting.  Is this
> the case?

I am choosing the product by using customize-variable, so the value is
'postgres as symbol.

The same problem I have observed before 4 weeks, but I do not observe
it now. The problem was there when I click with the mouse on SQL menu
item, before the menu item even opens.

I can see that I re-factored the settings and hard-coded it to:

(setq sql-product (quote postgres))

I cannot reproduce it. I don't know why, and I don't see any log of
changes in the git repository. It happened by rule when I clicked on
the "SQL"menu.

Jean

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns

Sign an open letter in support of Richard M. Stallman
https://stallmansupport.org/
https://rms-support-letter.github.io/